function retval = boolean1 (input1, input2)
  if input1==input2
    retval="variables are equal";
  elseif input1>=input2
    retval="variables greater then or  equal to";
  elseif input1>input2
    retval="variables greater then";
  elseif input1<=input2
    retval="variables smaller then or  equal to";
  elseif input1<input2
    retval="variables smaller then";
  else
    retval="variables are not equal";
  endif
endfunction
